<div [formGroup]="form">
  <div class="row mb-2">
      <h3>Taalbeheersing <a type="button" class="btn btn-outline-secondary btn-sm mt-1 " (click)="addTaalbeheersing()">
        <add-item-svg></add-item-svg>
      </a></h3>
  </div>
  <div>
    <div formArrayName="taalbeheersing" *ngFor="let taalbeheersingControl of t.controls; let i=index">
      <div [formGroupName]="i">

        <div class="row align-items-center mb-5">

          <div class="col-4">
            <app-taal-typeahead [control]='$any(taalbeheersingControl.get("codeTaal"))'></app-taal-typeahead>
          </div>

          <div class="col-4">
            <label> Taalbeheersing mondeling <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="Code die de mate aangeeft waarin de natuurlijk persoon de betreffende taal mondeling machtig is." tooltipClass="custom" for="clicked"></i></label>
            <select-enum [control]='$any(taalbeheersingControl.get("codeNiveauTaalbeheersingMondeling"))'
                         [values]="taalBeheersingValues"></select-enum>
            <label> Taalbeheersing schriftelijk <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="Code die de mate aangeeft waarin de natuurlijk persoon de betreffende taal schriftelijk machtig is." tooltipClass="custom" for="clicked"></i></label>
            <select-enum [control]='$any(taalbeheersingControl.get("codeNiveauTaalbeheersingSchriftelijk"))'
                         [values]="taalBeheersingValues"></select-enum>
            <label> Taalbeheersing lezen <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="Code die die het niveau van de leesvaardigheid van de natuurlijk persoon in de betreffende taal aangeeft." tooltipClass="custom" for="clicked"></i></label>
            <select-enum [control]='$any(taalbeheersingControl.get("codeNiveauTaalbeheersingLezen"))'
                         [values]="taalBeheersingValues"></select-enum>
            <label> Taalbeheersing luisteren <i class="bi bi-question-circle hover-change" triggers="click" [autoClose]="true" placement="right" ngbTooltip="Code die het niveau van luistervaardigheid van de natuurlijk persoon in de betreffende taal aangeeft." tooltipClass="custom" for="clicked"></i></label>
            <select-enum [control]='$any(taalbeheersingControl.get("codeNiveauTaalbeheersingLuisteren"))'
                         [values]="taalBeheersingValues"></select-enum>
          </div>

          <div class="col-2">
            <button type="button" class="btn btn-outline-danger" (click)="removeTaalbeheersing(i)">
              <remove-item-svg></remove-item-svg>
            </button>
          </div>

        </div>
      </div>
    </div>
  </div>
</div>

